Bug 915955 - SELinux is preventing systemd-readahe from 'read' accesses on the sock_file klauncherMT2227.slave-socket.
Summary: SELinux is preventing systemd-readahe from 'read' accesses on the sock_file k...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4daad187db84cf9f44c38a89563...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-26 21:02 UTC by hrafnkellbrimar
Modified: 2013-05-04 00:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-08 10:01:46 UTC
Type: ---


Attachments (Terms of Use)

Description hrafnkellbrimar 2013-02-26 21:02:12 UTC
Description of problem:
SELinux is preventing systemd-readahe from 'read' accesses on the sock_file klauncherMT2227.slave-socket.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that systemd-readahe should be allowed read access on the klauncherMT2227.slave-socket sock_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep systemd-readahe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:readahead_t:s0
Target Context                unconfined_u:object_r:user_tmp_t:s0
Target Objects                klauncherMT2227.slave-socket [ sock_file ]
Source                        systemd-readahe
Source Path                   systemd-readahe
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.10.0-167.fc17.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.7.9-101.fc17.x86_64 #1 SMP Mon
                              Feb 18 22:04:06 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-02-26 20:59:59 GMT
Last Seen                     2013-02-26 20:59:59 GMT
Local ID                      2e7c38c2-69d3-420e-992f-72be4520904c

Raw Audit Messages
type=AVC msg=audit(1361912399.437:98): avc:  denied  { read } for  pid=549 comm="systemd-readahe" name="klauncherMT2227.slave-socket" dev="dm-3" ino=2362479 scontext=system_u:system_r:readahead_t:s0 tcontext=unconfined_u:object_r:user_tmp_t:s0 tclass=sock_file


Hash: systemd-readahe,readahead_t,user_tmp_t,sock_file,read

audit2allow

#============= readahead_t ==============
allow readahead_t user_tmp_t:sock_file read;

audit2allow -R

#============= readahead_t ==============
allow readahead_t user_tmp_t:sock_file read;


Additional info:
hashmarkername: setroubleshoot
kernel:         3.7.9-101.fc17.x86_64
type:           libreport

Potential duplicate: bug 905220

Comment 1 Daniel Walsh 2013-02-27 15:03:23 UTC
We have a dontaudit for this.

Comment 2 Miroslav Grepl 2013-02-28 13:41:38 UTC
commit cd3a6c428193cce4cdeb06e90fe1a6024b8e8cd0
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Thu Feb 28 14:40:37 2013 +0100

    Backport readahead fixes from F18

Comment 3 Fedora Update System 2013-03-05 14:33:21 UTC
selinux-policy-3.10.0-168.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-168.fc17

Comment 4 Fedora Update System 2013-03-05 23:30:44 UTC
Package selinux-policy-3.10.0-168.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-168.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3466/selinux-policy-3.10.0-168.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-04-04 08:32:11 UTC
selinux-policy-3.10.0-169.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-169.fc17

Comment 6 hrafnkellbrimar 2013-04-04 20:13:23 UTC
The update does seem to have done the trick, thanks.

Comment 7 Fedora Update System 2013-05-04 00:05:09 UTC
selinux-policy-3.10.0-169.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.